## ros-kinetic-audio-play 0.3.11

=== debian/changelog ===
ros-kinetic-audio-play (0.3.11-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Apr 2021 15:00:00 -0000

ros-kinetic-audio-play (0.3.10-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 06 Jan 2021 15:00:00 -0000

ros-kinetic-audio-play (0.3.9-1xenial) xenial; urgency=high

  * Merge pull request #160 <https://github.com/ros-drivers/audio_common/issues/160> from knorth55/add-device-play
  * refactor audio_play to use same code
  * add audioresample in audio_play
  * apply caps for both formats
  * add device for wave format
  * add sync false for alsasink
  * use alsasink
  * add depth rosparam
  * add device arg in play.launch
  * fix audio_play to save file
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Wed, 21 Oct 2020 15:00:00 -0000

ros-kinetic-audio-play (0.3.8-1xenial) xenial; urgency=high

  * Merge pull request #151 <https://github.com/ros-drivers/audio_common/issues/151> from knorth55/do-timestamp-false
    [audio_play] set do_timestamp false
  * set do_timestamp false
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Sat, 12 Sep 2020 15:00:00 -0000

ros-kinetic-audio-play (0.3.7-1xenial) xenial; urgency=high

  * Merge pull request #146 <https://github.com/ros-drivers/audio_common/issues/146> from knorth55/mp3-support
  * support format, rate, channels in mp3
  * Merge pull request #127 <https://github.com/ros-drivers/audio_common/issues/127> from knorth55/audio-play-wave
    [audio_play] support wave format
  * add sample_format param in audio_play
  * add channels and sample_rate in audio_play/play.launch
  * add channels and sample_rate in audio_play.cpp
  * add format arg in play.launch
  * support wave in audio_play
  * Merge pull request #144 <https://github.com/ros-drivers/audio_common/issues/144> from ros-drivers/knorth55-patch-1
  * add gstreamer1.0-alsa for run_depend in audio_play
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Fri, 07 Aug 2020 15:00:00 -0000

ros-kinetic-audio-play (0.3.6-1xenial) xenial; urgency=high

  * Merge pull request #141 <https://github.com/ros-drivers/audio_common/issues/141> from knorth55/add-maintainer
    add maintainer
  * add maintainer
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 28 May 2020 15:00:00 -0000

ros-kinetic-audio-play (0.3.5-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 27 Apr 2020 15:00:00 -0000

ros-kinetic-audio-play (0.3.4-1xenial) xenial; urgency=high

  * audio_play fix for reproducing livestream sound (#122 <https://github.com/ros-drivers/audio_common/issues/122>)
    * Added capability to read from a udpsrc. To generalize it, possibly similarly to gscam.
    * Added parameter to control do-timestamp, as this fixes the problem with audio_play not being able to play livestream sound.
    * Aligning with the base master, removing the changes from the branch that included the udpsrc.
    Co-authored-by: Alberto Quattrini Li <mailto:albertoq@cse.sc.edu>
  * Merge branch 'master' of github.com:ros-drivers/audio_common
  * Contributors: Alberto Quattrini Li, Gerard Canal

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Apr 2020 15:00:00 -0000

ros-kinetic-audio-play (0.3.3-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 21 May 2018 15:00:00 -0000

ros-kinetic-audio-play (0.3.2-1xenial) xenial; urgency=high

  * [sound_play] add option to select audio device to play / record (#87 <https://github.com/ros-drivers/audio_common/issues/87>)
    * [sound_play] add option to select audio device to play
    * [sound_play] reformat README to markdown; add usage to set device via rosparam
    * audio_capture: add option for selecting device to use
    * audio_play: add option to select device for playing audio
    * add device argument to launch files
    Conflicts:
    audio_capture/launch/capture.launch
    audio_capture/launch/capture_to_file.launch
    audio_capture/src/audio_capture.cpp
    audio_play/launch/play.launch
    sound_play/scripts/soundplay_node.py
  * Merge pull request #101 <https://github.com/ros-drivers/audio_common/issues/101> from EndPointCorp/audio_play_dont_pause_pipeline
    audio_play: Fix mp3 clip overlap by never pausing the pipeline
  * audio_play: Don't pause the pipeline
    This prevents glitches when playing short mp3 clips.
  * Merge pull request #90 <https://github.com/ros-drivers/audio_common/issues/90> from prarobo/master
    Error checking code and improvements to launch files
  * Merge pull request #1 <https://github.com/ros-drivers/audio_common/issues/1> from prarobo/fixes
    Error checking code and improvements to launch files
  * Added parameters to launch files
  * Contributors: Austin, Matt Vollrath, Prasanna Kannappan, Yuki Furuta, prarobo

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 15:00:00 -0000

ros-kinetic-audio-play (0.3.1-1xenial) xenial; urgency=high

  * Update to new gstreamer rosdeps
  * #70 can launch these in different namespaces with different microphones, and both are operating.
  * Add changelogs
  * Changed message level to warning
  * Fixed problem that CMake uses gstreamer-0.1 instead of gstreamer-1.0
  * Fixed underflow.
    Before the sink buffer underflows the pipeline is paused. When data is received again the pipeline is set to playing again.
  * Added gstreamer 1.0 dependecies
  * Ported to gstreamer 1.0
    package.xml dependencies still missing
  * Change audio sink to autoaudiosink
  * Update maintainer email
  * Contributors: Benny, Hans Gaiser, Lucas Walter, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Sat, 27 Aug 2016 15:00:00 -0000

ros-kinetic-audio-play (0.2.11-1xenial) xenial; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Mon, 15 Feb 2016 15:00:00 -0000

ros-kinetic-audio-play (0.2.10-1xenial) xenial; urgency=high


