=== debian/control ===
Source: ros-kinetic-audio-play
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgstreamer-plugins-base1.0-dev, libgstreamer1.0-dev, ros-kinetic-audio-common-msgs, ros-kinetic-catkin, ros-kinetic-roscpp
Homepage: http://ros.org/wiki/audio_play
Standards-Version: 3.9.2

Package: ros-kinetic-audio-play
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-gst-plugins-base-1.0, gir1.2-gstreamer-1.0, gstreamer1.0-alsa, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly, gstreamer1.0-tools, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-good1.0-0, libgstreamer1.0-0, ros-kinetic-audio-common-msgs, ros-kinetic-roscpp
Description: Outputs audio to a speaker from a source node.
